Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.document
Class DocumentStore

    java.lang.Object
      org.jboss.seam.document.DocumentStore

All Implemented Interfaces:
  Serializable

    @Name(value="org.jboss.seam.document.documentStore")
    @Scope(value=CONVERSATION)
    @Install(precedence=0)
    public class DocumentStore

extends Object
implements Serializable

See Also:
  Serialized Form

Field Summary
`static String` | `DOCSTORE_BASE_URL`

Constructor Summary
`DocumentStore()`

Method Summary
`protected String` | `baseUrlForContent(String baseName, String extension)`
`DocumentData` | `getDocumentData(String id)`
`String` | `getErrorPage()`
`boolean` | `idIsValid(String id)`
`static DocumentStore` | `instance()`
`String` | `newId()`
`String` | `preferredUrlForContent(String baseName, String extension, String contentId)`
`void` | `saveData(String id, DocumentData documentData)`
`void` | `setErrorPage(String errorPage)`
`void` | `setUseExtensions(boolean useExtensions)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DOCSTORE_BASE_URL

    public static final String DOCSTORE_BASE_URL

See Also:
  Constant Field Values

Constructor Detail

### DocumentStore

    public DocumentStore()

Method Detail

### setUseExtensions

    public void setUseExtensions(boolean useExtensions)

### setErrorPage

    public void setErrorPage(String errorPage)

### getErrorPage

    public String getErrorPage()

### newId

    public String newId()

### saveData

    public void saveData(String id,
                         DocumentData documentData)

### idIsValid

    public boolean idIsValid(String id)

### getDocumentData

    public DocumentData getDocumentData(String id)

### instance

    public static DocumentStore instance()

### preferredUrlForContent

    public String preferredUrlForContent(String baseName,
                                         String extension,
                                         String contentId)

### baseUrlForContent

    protected String baseUrlForContent(String baseName,
                                       String extension)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.